Subject: Extensive errata reported for RFC 4695 ...

From: lazzaro <[email-masked]>
Date: Tue, 16 Jan 2007 18:40:24 -0800

Hello AVT WG chairs,

	This email is to let you know that
a few weeks after RFC 4695 (RTP MIDI)
was issued by the RFC Editor (CC'd),
Alfred Hines (also CC'd) thoughtfully sent
in an extensive list of errata, after reading
the document in a very thorough way (thanks!).
I do not believe he was following the AVT WG
process for RTP MIDI, so first he had heard
of the protocol when the RFC was released.

	Thankfully, the serious errata did not
involve bugs in the protocol itself, but rather
pointed out places where the ABNF for
the parameters defined in Appendix D
did not match the normative text in the
document.  Most of these errors should
be easily detected by an implementor who
is paying attention (in some cases the errors
are in the form of non-sensical ABNF; in other
cases the ABNF directly contradicts the comments
in the ABNF surrounding the incorrect rule, etc).

	However, there are a substantial number
of these errors (7 ABNF errors that are normative
in nature). And so, it brings up the issue of whether
the right thing to do is to use the RFC Errata
process to document them, or to start work on
a bis version of RFC 4695.

	To help you evaluate the situation, I have
created a candidate -00.txt document for a bis
version of RFC 4695.  The document itself
includes my proposed fixes for all errors; the
Change Log at the end of the document lists
each issue Alfred presented, and my response
to the issue.

	You can download this candidate I-D here
(which has NOT been submitted to [email-masked]
as of this time):

http://www.cs.berkeley.edu/~lazzaro/files/ietf/draft-lazzaro-avt-rtp- 
midi-format-bis-00.txt

	There is also a colored HTML diff available,
showing the differences between RFC 4695 in the
I-D format, and the candidate -00.txt bis I-D:

http://www.cs.berkeley.edu/~lazzaro/files/ietf/fbis-diff.html

	Please let me know where you think we should
go from here.  Options would seem to be:

[1] Send the 00.txt I-D to internet-drafts as a personal I-D.

[2] Send the 00.txt I-D to internet-drafts as an official AVT
WG I-D.

[3] Use the RFC Errata process to document these errors
instead of a new RFC.

	I'm happy going either way -- preparing this document
was the hard work, and that's done now.

	Thanks in advance,

---
John Lazzaro
http://www.cs.berkeley.edu/~lazzaro
lazzaro [at] cs [dot] berkeley [dot] edu
---